:root {
  --body-bg-color: #d0c89d;
  --body-text-color: #222222;
  --heading-color: #222222;
  --hero-gradient1: #d0c89d;
  --hero-gradient2: #b29551;
  --footer-bg-color: #b29551;
  --link-color: #222222;
  --header-bg-color: #b29551;
  --font-family: system-ui;
  --nav-link-color: #141414;
  --footer-text-color: #000000;
  --header-text-color: #ffffffff;
}

html {
  overflow-x: hidden;
}

body {
  background-color: var(--body-bg-color);
  color: var(--body-text-color) !important;
  font-family: var(--font-family);
  line-height: 1.6;
  min-height: 100vh;
  display: flex;
  flex-direction: column;

}


h1 {
  font-size: clamp(2rem, 4vw, 2.5rem) !important;
}

h2 {
  font-size: clamp(1.6rem, 3vw, 2rem) !important;
}

h3 {
  font-size: clamp(1.4rem, 3vw, 1.7rem) !important;
}

p {
  margin-bottom: 0.5rem !important;
}

section {
  padding: 15px 0;
  scroll-margin-top: 70px;
}

h2,
h3 {
  color: var(--heading-color) !important;
}



.content-area a {
  color: var(--link-color) !important;
  text-decoration: none !important;
}

.content-area a:hover {
  color: var(--link-color) !important;
  opacity: 0.8;
}



.error_page {
  min-height: 70vh;
}



.footer {
  background-color: var(--footer-bg-color);
  color: var(--footer-text-color);
  padding: 1.9rem 19px;
  text-align: center;
  margin-top: auto;
}

/* Top area */
.footer-top {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.5rem;
}

/* Links */
.footer-links {
  display: flex;
  gap: 15px;
}

.footer a {
  color: var(--link-color);
  text-decoration: none;
  font-size: 0.95rem;
  opacity: 0.85;
  transition: opacity 0.2s ease;
}

.footer a:hover {
  opacity: 1;
}

.footer-divider {
  border: none;
  height: 1px;
  margin: 1.5rem auto;
  width: 60%;
  background: linear-gradient(90deg,
      transparent,
      var(--link-color),
      transparent);
  opacity: 0.5;
}

.footer-bottom {
  font-size: 0.85rem;
  opacity: 0.75;
  line-height: 1.6;
}




.navbar {
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  background-color: var(--header-bg-color) !important;
  position: sticky;
  top: 0;
  z-index: 1020;
}

.hero-section {
  padding: 30px 0;
  position: relative;
  overflow: hidden;
  color: #663300;
}

.hero-section.gradient-bg {
  background: linear-gradient(135deg, var(--hero-gradient1), var(--hero-gradient2));
}

.hero-section .container {
  position: relative;
  z-index: 2;
}


@media (max-width: 768px) {
  .hero-section {
    padding: 60px 0;
  }

}

.navbar-light .navbar-nav .nav-link {
  color: var(--nav-link-color, #141414) !important;
  font-weight: 500;
  padding: 0 1rem;
  transition: color 0.3s ease, transform 0.2s ease;
}

.navbar-light .navbar-nav .nav-link:hover {
  color: var(--link-color) !important;
  transform: translateY(-1px);
}

.navbar-light .navbar-nav .nav-link.active {
  color: var(--link-color) !important;
  font-weight: 600;
  border-bottom: 2px solid var(--link-color);
}

/* Mobile nav */
@media (max-width: 1199.98px) {
  .navbar-collapse {
    position: fixed;
    top: 61px;
    left: 15px;
    right: 15px;
    background-color: color-mix(in srgb,
        var(--header-bg-color) 65%,
        transparent);
    backdrop-filter: blur(12px);
    border-radius: 12px;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.15);
    z-index: 9999;
    padding: 15px;
    margin: 0;
  }

  .navbar-nav {
    width: 100%;
  }

  .navbar-nav .nav-item {
    margin: 7px 0;
  }

  .navbar-nav .nav-item:hover {
    transform: translateY(-1px);
  }

  .navbar-nav .nav-link {
    font-size: 1.2rem;
    font-weight: 500;
    text-decoration: none;
    display: block;
    padding: 0;
  }

  .navbar-toggler {
    z-index: 10000;
    position: relative;
    border: var(--bs-border-width) solid var(--nav-link-color, #141414) !important;
  }
}


.custom-dropdown {
  border: 0;
  box-shadow: 0 10px 40px rgba(0, 0, 0, 0.15);
  border-radius: 12px;
  padding: 0.5rem 0;
  margin-top: 0.5rem;
  min-width: 220px;
  background: color-mix(in srgb,
      var(--header-bg-color) 65%,
      transparent) !important;
  backdrop-filter: blur(12px);
}

.custom-dropdown .dropdown-item {
  padding: 0.75rem 1.5rem;
  transition: all 0.3s ease;
  color: var(--nav-link-color, #141414) !important;
  font-weight: 500;
  border-radius: 0;
  text-wrap: wrap;
}

.dropdown-menu {
  display: none;
}

.custom-dropdown .dropdown-item:hover {
  color: #fff;
  background: color-mix(in srgb,
      var(--header-bg-color) 95%,
      transparent) !important;
}

.nav-item.dropdown>.nav-link {
  display: flex;
  align-items: center;
}

.nav-item.dropdown>.nav-link .arrow {
  position: relative;
  margin-left: auto;
  border: solid var(--nav-link-color, #141414);
  border-width: 0 2px 2px 0;
  padding: 3px;
  transform: rotate(45deg);
  transition: transform 0.25s;
}

.dropdown.open .dropdown-menu {
  display: block;
}

@media (min-width: 1200px) {
  .nav-item.dropdown {
    position: relative;
  }

  .nav-item.dropdown>.nav-link .arrow {
    margin-left: 7px;
  }

  .custom-dropdown.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 0;
    z-index: 1000;
  }

  .nav-item.dropdown:hover>.nav-link .arrow {
    transform: rotate(-135deg);
  }

  .nav-item.dropdown:hover>.dropdown-menu {
    display: block !important;
  }
}

@media (max-width: 1199px) {
  .nav-item.dropdown>.nav-link .arrow {
    padding: 4px;
  }
}

.centered {
  display: block;
  margin: 0 auto;
}

.img-header-home {
  background-image: url("/images/home/home.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 798px;
  height: 200px;
}

.img-footer-home {
  background-image: url("/images/home/homeFoot.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 798px;
  height: 100px;
}

.img-header-studio {
  background-image: url("/images/studio/studioH.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 150px;
}

.img-footer-studio {
  background-image: url("/images/studio/studioF.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 100px;
}

.img-header-mainhouse {
  background-image: url("/images/mainhouse/mainhouseH.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 150px;
}

.img-footer-mainhouse {
  background-image: url("/images/mainhouse/mainhouseF.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 100px;
}

.img-header-honeymoon {
  background-image: url("/images/honeymoon/honeymoonH.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 150px;
}

.img-footer-honeymoon {
  background-image: url("/images/honeymoon/honeymoonF.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 100px;
}

.img-header-contact {
  background-image: url("/images/contact/contactH.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 150px;
}

.img-footer-contact {
  background-image: url("/images/contact/contactF.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 100px;
}

.img-header-geelong {
  background-image: url("/images/geelong/geelongH.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 150px;
}

.img-footer-geelong {
  background-image: url("/images/geelong/geelongF.jpg");
  background-repeat: no-repeat;
  display: block;
  margin: 0 auto;
  width: 800px;
  height: 100px;
}




.traff {
  border-collapse: collapse;
  width: 100%;
  color: #666666;
}

.br-bolder {
  border-bottom: 4px solid #666666;
}

.br {
  border-bottom: 2px solid #b3b399;
}